import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { AppointmentArgsObjectSchema as AppointmentArgsObjectSchema } from './AppointmentArgs.schema';
import { PatientArgsObjectSchema as PatientArgsObjectSchema } from './PatientArgs.schema';
import { NpiProviderArgsObjectSchema as NpiProviderArgsObjectSchema } from './NpiProviderArgs.schema'

const makeSchema = () => z.object({
  appointment: z.union([z.boolean(), z.lazy(() => AppointmentArgsObjectSchema)]).optional(),
  patient: z.union([z.boolean(), z.lazy(() => PatientArgsObjectSchema)]).optional(),
  npiProvider: z.union([z.boolean(), z.lazy(() => NpiProviderArgsObjectSchema)]).optional()
}).strict();
export const AppointmentProcedureIncludeObjectSchema: z.ZodType<Prisma.AppointmentProcedureInclude> = makeSchema() as unknown as z.ZodType<Prisma.AppointmentProcedureInclude>;
export const AppointmentProcedureIncludeObjectZodSchema = makeSchema();
